var underscore = require('./index151.js');
var each = require('./index52.js');
var functions = require('./index64.js');
var _setup = require('./index26.js');
var _chainResult = require('./index3.js');

// Add your own custom functions to the Underscore object.
function mixin(obj) {
  each(functions(obj), function(name) {
    var func = underscore[name] = obj[name];
    underscore.prototype[name] = function() {
      var args = [this._wrapped];
      _setup.push.apply(args, arguments);
      return _chainResult(this, func.apply(underscore, args));
    };
  });
  return underscore;
}

module.exports = mixin;
